Bug 1156688 - phonon-qt5-backend-gstreamer: wrong Requires: gstreamer-plugins-good
Summary: phonon-qt5-backend-gstreamer: wrong Requires: gstreamer-plugins-good
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: phonon-backend-gstreamer
Version: 21
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Kofler
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: depchain KDE-GStreamer1
TreeView+ depends on / blocked
 
Reported: 2014-10-25 04:55 UTC by Kevin Kofler
Modified: 2014-11-10 06:11 UTC (History)
7 users (show)

Fixed In Version: phonon-backend-gstreamer-4.8.0-3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-10 06:11:19 UTC
Type: Bug


Attachments (Terms of Use)

Description Kevin Kofler 2014-10-25 04:55:06 UTC
Description of problem:
The subpackage needs to require gstreamer1-plugins-good instead, as the main (Qt 4) package.

Version-Release number of selected component (if applicable):
phonon-backend-gstreamer-4.8.0-2.fc21

How reproducible:
Always.

Steps to Reproduce:
1. yum install phonon-qt5-backend-gstreamer

Actual results:
GStreamer 0.10 dragged in.

Expected results:
GStreamer 0.10 NOT dragged in.

Additional information:
Yes, I'll take the blame for screwing that one up (see dist-git history). :-(

Comment 1 Kevin Kofler 2014-10-25 13:44:31 UTC
Building now for Rawhide and F21. (Older branches not affected, they use GStreamer 0.10.)

Comment 2 Fedora Update System 2014-10-25 14:41:32 UTC
phonon-backend-gstreamer-4.8.0-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/phonon-backend-gstreamer-4.8.0-3.fc21

Comment 3 Fedora Update System 2014-10-27 08:15:59 UTC
Package phonon-backend-gstreamer-4.8.0-3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing phonon-backend-gstreamer-4.8.0-3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-13586/phonon-backend-gstreamer-4.8.0-3.fc21
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-11-10 06:11:19 UTC
phonon-backend-gstreamer-4.8.0-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.